org.apache.catalina.valves

## Class ExtendedAccessLogValve.ResponseAllHeaderElement

- java.lang.Object
- - org.apache.catalina.valves.ExtendedAccessLogValve.ResponseAllHeaderElement

- All Implemented Interfaces:
    AbstractAccessLogValve.AccessLogElement
  Enclosing class:
    ExtendedAccessLogValve

      protected static class ExtendedAccessLogValve.ResponseAllHeaderElement
      extends Object
      implements AbstractAccessLogValve.AccessLogElement

  write a specific response header - x-O(xxx)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedAccessLogValve.ResponseAllHeaderElement(String header)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedAccessLogValve.ResponseAllHeaderElement

          public ExtendedAccessLogValve.ResponseAllHeaderElement(String header)

  - ### Method Detail

    - #### addElement

          public void addElement(CharArrayWriter buf,
                        Date date,
                        Request request,
                        Response response,
                        long time)

      Specified by:
        `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.